Package org.freeplane.api

# Interface ReminderRO

All Known Subinterfaces:
  `Proxy.Reminder`, `Proxy.ReminderRO`, `Reminder`

public interface ReminderRO
Reminder: `node.reminder` - read-only.

      def rem = node.reminder
      if (!rem.remindAt)
          c.statusInfo = "this node has no reminder"
      else
          c.statusInfo = "reminder fires at ${rem.remindAt} and then every ${rem.period} ${rem.periodUnit}"

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getPeriod()`
  Count in units of "PeriodUnit".
  `String`
  `getPeriodUnit()`
  One of ["MINUTE", "HOUR", "DAY", "WEEK", "MONTH", "YEAR"].
  `Date`
  `getRemindAt()`
  The timestamp when the reminder fires first.
  `String`
  `getScript()`
  optional: a Groovy script to execute when the reminder fires.

- ## Method Details

  - ### getRemindAt

    Date getRemindAt()
    The timestamp when the reminder fires first.

  - ### getPeriodUnit

    String getPeriodUnit()
    One of ["MINUTE", "HOUR", "DAY", "WEEK", "MONTH", "YEAR"].

  - ### getPeriod

    Integer getPeriod()
    Count in units of "PeriodUnit". (period=2, periodUnit="WEEK") reminds every two weeks.

  - ### getScript

    String getScript()
    optional: a Groovy script to execute when the reminder fires.